define("moneyApi", [],
    function() {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof moneyApi == 'undefined') {
            var moneyApi = {};
        };
        moneyApi.CurrencyFormat = function(currencyCode, majorSymbol, minorSymbol, majorSymbolIsLeftAligned, minorSymbolIsLeftAligned, majorSymbolPaddingSpace, minorSymbolPaddingSpace, decimalSeparator, thousandsSeparator, decimalPrecision, useThousandsSeparator, minorCurrencyLock, chipSetCode) {
            this.currencyCode = currencyCode;
            this.majorSymbol = majorSymbol;
            this.minorSymbol = minorSymbol;
            this.majorSymbolIsLeftAligned = majorSymbolIsLeftAligned;
            this.minorSymbolIsLeftAligned = minorSymbolIsLeftAligned;
            this.majorSymbolPaddingSpace = majorSymbolPaddingSpace;
            this.minorSymbolPaddingSpace = minorSymbolPaddingSpace;
            this.decimalSeparator = decimalSeparator;
            this.thousandsSeparator = thousandsSeparator;
            this.decimalPrecision = decimalPrecision;
            this.useThousandsSeparator = useThousandsSeparator;
            this.minorCurrencyLock = minorCurrencyLock;
            this.chipSetCode = chipSetCode;
        };
        moneyApi.CurrencyFormat.__name__ = ["moneyApi", "CurrencyFormat"];
        moneyApi.CurrencyFormat.prototype.currencyCode = null;
        moneyApi.CurrencyFormat.prototype.majorSymbol = null;
        moneyApi.CurrencyFormat.prototype.minorSymbol = null;
        moneyApi.CurrencyFormat.prototype.majorSymbolIsLeftAligned = null;
        moneyApi.CurrencyFormat.prototype.minorSymbolIsLeftAligned = null;
        moneyApi.CurrencyFormat.prototype.majorSymbolPaddingSpace = null;
        moneyApi.CurrencyFormat.prototype.minorSymbolPaddingSpace = null;
        moneyApi.CurrencyFormat.prototype.decimalSeparator = null;
        moneyApi.CurrencyFormat.prototype.thousandsSeparator = null;
        moneyApi.CurrencyFormat.prototype.decimalPrecision = null;
        moneyApi.CurrencyFormat.prototype.useThousandsSeparator = null;
        moneyApi.CurrencyFormat.prototype.minorCurrencyLock = null;
        moneyApi.CurrencyFormat.prototype.chipSetCode = null;
        moneyApi.CurrencyFormat.prototype.__class__ = moneyApi.CurrencyFormat;

        moneyApi.IMoneyFormatter = function() {}
        moneyApi.IMoneyFormatter.prototype = {

            format: function(moneyString) {
                return {
                    arguments: ["string"],
                    returns: "string"
                };
            },
            isZero: function(moneyString) {
                return {
                    arguments: ["string"],
                    returns: "boolean"
                };
            }
        };

        moneyApi.IMoneyFormatterController = function() {}
        moneyApi.IMoneyFormatterController.prototype = {

            setCurrencyFormat: function(currencyFormat) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            }
        };
        return {
            exports: moneyApi
        };
    });
//# sourceURL=moneyApi.js